Index: branches/version-2_13_0/data/module/Calendar/Decorator/Textual.php
===================================================================
--- branches/version-2_13_0/data/module/Calendar/Decorator/Textual.php	(revision 23126)
+++ branches/version-2_13_0/data/module/Calendar/Decorator/Textual.php	(revision 23143)
@@ -1,39 +1,27 @@
 <?php
 /* vim: set expandtab tabstop=4 shiftwidth=4: */
-
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2002 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/3_0.txt.                                  |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Harry Fuecks <hfuecks@phppatterns.com>                      |
+// |          Lorenzo Alberton <l dot alberton at quipo dot it>           |
+// +----------------------------------------------------------------------+
+//
+// $Id: Textual.php,v 1.3 2004/08/16 13:02:44 hfuecks Exp $
+//
 /**
- * Contains the Calendar_Decorator_Wrapper class
- *
- * PHP versions 4 and 5
- *
- * LICENSE: Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
- * 3. The name of the author may not be used to endorse or promote products
- *    derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
- * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE FREEBSD PROJECT OR CONTRIBUTORS BE LIABLE FOR ANY
- * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
- * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
- * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @author    Lorenzo Alberton <l.alberton@quipo.it>
- * @copyright 2003-2007 Harry Fuecks, Lorenzo Alberton
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @version   CVS: $Id: Textual.php 246907 2007-11-24 11:04:24Z quipo $
- * @link      http://pear.php.net/package/Calendar
+ * @package Calendar
+ * @version $Id: Textual.php,v 1.3 2004/08/16 13:02:44 hfuecks Exp $
  */
 
@@ -61,13 +49,6 @@
  * <b>Note:</b> for performance you should prefer Calendar_Util_Textual unless you
  * have a specific need to use a decorator
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @author    Lorenzo Alberton <l.alberton@quipo.it>
- * @copyright 2003-2007 Harry Fuecks, Lorenzo Alberton
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @link      http://pear.php.net/package/Calendar
- * @access    public
+ * @package Calendar
+ * @access public
  */
 class Calendar_Decorator_Textual extends Calendar_Decorator
@@ -75,7 +56,5 @@
     /**
      * Constructs Calendar_Decorator_Textual
-     *
-     * @param object &$Calendar subclass of Calendar
-     *
+     * @param object subclass of Calendar
      * @access public
      */
@@ -87,12 +66,10 @@
     /**
      * Returns an array of 12 month names (first index = 1)
-     *
-     * @param string $format (optional) format of returned months (one|two|short|long)
-     *
+     * @param string (optional) format of returned months (one,two,short or long)
      * @return array
      * @access public
      * @static
      */
-    function monthNames($format = 'long')
+    function monthNames($format='long')
     {
         return Calendar_Util_Textual::monthNames($format);
@@ -101,12 +78,10 @@
     /**
      * Returns an array of 7 week day names (first index = 0)
-     *
-     * @param string $format (optional) format of returned days (one|two|short|long)
-     *
+     * @param string (optional) format of returned days (one,two,short or long)
      * @return array
      * @access public
      * @static
      */
-    function weekdayNames($format = 'long')
+    function weekdayNames($format='long')
     {
         return Calendar_Util_Textual::weekdayNames($format);
@@ -115,78 +90,66 @@
     /**
      * Returns textual representation of the previous month of the decorated calendar object
-     *
-     * @param string $format (optional) format of returned months (one|two|short|long)
-     *
+     * @param string (optional) format of returned months (one,two,short or long)
      * @return string
      * @access public
      */
-    function prevMonthName($format = 'long')
+    function prevMonthName($format='long')
     {
-        return Calendar_Util_Textual::prevMonthName($this->calendar, $format);
+        return Calendar_Util_Textual::prevMonthName($this->calendar,$format);
     }
 
     /**
      * Returns textual representation of the month of the decorated calendar object
-     *
-     * @param string $format (optional) format of returned months (one|two|short|long)
-     *
+     * @param string (optional) format of returned months (one,two,short or long)
      * @return string
      * @access public
      */
-    function thisMonthName($format = 'long')
+    function thisMonthName($format='long')
     {
-        return Calendar_Util_Textual::thisMonthName($this->calendar, $format);
+        return Calendar_Util_Textual::thisMonthName($this->calendar,$format);
     }
 
     /**
      * Returns textual representation of the next month of the decorated calendar object
-     *
-     * @param string $format (optional) format of returned months (one|two|short|long)
-     *
+     * @param string (optional) format of returned months (one,two,short or long)
      * @return string
      * @access public
      */
-    function nextMonthName($format = 'long')
+    function nextMonthName($format='long')
     {
-        return Calendar_Util_Textual::nextMonthName($this->calendar, $format);
+        return Calendar_Util_Textual::nextMonthName($this->calendar,$format);
     }
 
     /**
      * Returns textual representation of the previous day of week of the decorated calendar object
-     *
-     * @param string $format (optional) format of returned months (one|two|short|long)
-     *
+     * @param string (optional) format of returned months (one,two,short or long)
      * @return string
      * @access public
      */
-    function prevDayName($format = 'long')
+    function prevDayName($format='long')
     {
-        return Calendar_Util_Textual::prevDayName($this->calendar, $format);
+        return Calendar_Util_Textual::prevDayName($this->calendar,$format);
     }
 
     /**
      * Returns textual representation of the day of week of the decorated calendar object
-     *
-     * @param string $format (optional) format of returned months (one|two|short|long)
-     *
+     * @param string (optional) format of returned months (one,two,short or long)
      * @return string
      * @access public
      */
-    function thisDayName($format = 'long')
+    function thisDayName($format='long')
     {
-        return Calendar_Util_Textual::thisDayName($this->calendar, $format);
+        return Calendar_Util_Textual::thisDayName($this->calendar,$format);
     }
 
     /**
      * Returns textual representation of the next day of week of the decorated calendar object
-     *
-     * @param string $format (optional) format of returned months (one|two|short|long)
-     *
+     * @param string (optional) format of returned months (one,two,short or long)
      * @return string
      * @access public
      */
-    function nextDayName($format = 'long')
+    function nextDayName($format='long')
     {
-        return Calendar_Util_Textual::nextDayName($this->calendar, $format);
+        return Calendar_Util_Textual::nextDayName($this->calendar,$format);
     }
 
@@ -195,13 +158,11 @@
      * calendar object. Only useful for Calendar_Month_Weekdays, Calendar_Month_Weeks
      * and Calendar_Week. Otherwise the returned array will begin on Sunday
-     *
-     * @param string $format (optional) format of returned months (one|two|short|long)
-     *
+     * @param string (optional) format of returned months (one,two,short or long)
      * @return array ordered array of week day names
      * @access public
      */
-    function orderedWeekdays($format = 'long')
+    function orderedWeekdays($format='long')
     {
-        return Calendar_Util_Textual::orderedWeekdays($this->calendar, $format);
+        return Calendar_Util_Textual::orderedWeekdays($this->calendar,$format);
     }
 }
